KitKat devices incompatible for global?

For some reason, my infinite flight won’t show an update to my play store. Is a KitKat 4.4.2 Android Galaxy Tablet not compatible with global?

1 Like

Android 5.0 and above devices are compatible with global, so I guess 4.4.2 device isn’t compatible.

1 Like

No it is not compatible